GET /suggest/v1/{type}

opendatanetwork.com

Summary: Get suggestions
Operation ID: Get suggestions
Auth: unknown

Parameters (6)

X-App-Token (string, header, optional)

e.g. cQovpGcdUT1CSzgYk0KPYdAI0

app_token (string, query, optional)

The [Socrata App Token](https://dev.socrata.com/docs/app-tokens.html) to be used with your request. The `app_token` parameter is required if an app token is not passed via the `X-App-Token` HTTP header. Clients must [register for their own app tokens](https://dev.socrata.com/docs/app-tokens.html).

limit (number, query, optional, default: 5)

Maximum number of results to return. Must be an integer from 0 to 100.

query (string, query, required)

Query to match.

type (string, path, required)

Type of the object to find.

Constraints: {'enum': ['entity', 'category', 'publisher', 'dataset', 'question']}

variable_id (string, query, optional)

This parameter is only available when suggesting entities with `type=entity`. If it is provided, suggestions will be filtered to include only entities that have data for the given variable. If the variable provided is invalid, no entities will be returned. Note that this filtering will increase response time significantly, so it should only be used when necessary.

No probe data for this endpoint yet.